package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity;

/**
 * 利库明细
 */
public class LikuDetail {



    private String reportingArea;//上报地区
    private String nameOfReserve;//物料申请所属项目
    private String materialCode;//物料编码
    private String materialName;//物料名称
    private String extendedCoding;//扩展编码
    private String extendedDescription;//扩展描述
    private String unit;//单位
    private Double total;//总量
    private String unitWeight;//单重
    private String totalWeight;//总重
    private String supplied;//甲乙供
    private Double numberOfNiches;//利库数量
    private Double numberOfApplications;//申请数量
    private String comparisonType;//利库类型
    private String batch;//利库批次号
    private String warehouse;//利库仓库
    private Double numberNiches;//利库明细数量
    private Integer segBelongs;//利库所属段

    public String getNameOfReserve() {
        return nameOfReserve;
    }

    public void setNameOfReserve(String nameOfReserve) {
        this.nameOfReserve = nameOfReserve;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getComparisonType() {
        return comparisonType;
    }

    public void setComparisonType(String comparisonType) {
        this.comparisonType = comparisonType;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public Double getNumberNiches() {
        return numberNiches;
    }

    public void setNumberNiches(Double numberNiches) {
        this.numberNiches = numberNiches;
    }

    public Integer getSegBelongs() {
        return segBelongs;
    }

    public void setSegBelongs(Integer segBelongs) {
        this.segBelongs = segBelongs;
    }

    public String getReportingArea() {
        return reportingArea;
    }

    public void setReportingArea(String reportingArea) {
        this.reportingArea = reportingArea;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getExtendedCoding() {
        return extendedCoding;
    }

    public void setExtendedCoding(String extendedCoding) {
        this.extendedCoding = extendedCoding;
    }

    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Double getTotal() {
        return total;
    }

    public void setTotal(Double total) {
        this.total = total;
    }

    public String getUnitWeight() {
        return unitWeight;
    }

    public void setUnitWeight(String unitWeight) {
        this.unitWeight = unitWeight;
    }

    public String getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(String totalWeight) {
        this.totalWeight = totalWeight;
    }

    public String getSupplied() {
        return supplied;
    }

    public void setSupplied(String supplied) {
        this.supplied = supplied;
    }

    public Double getNumberOfNiches() {
        return numberOfNiches;
    }

    public void setNumberOfNiches(Double numberOfNiches) {
        this.numberOfNiches = numberOfNiches;
    }

    public Double getNumberOfApplications() {
        return numberOfApplications;
    }

    public void setNumberOfApplications(Double numberOfApplications) {
        this.numberOfApplications = numberOfApplications;
    }
}
